import DefaultHandler from './default';
import { Asset, Assets, Language } from '../../../types';
export declare const schema: {
    type: string;
};
export type Tenant = Asset & {
    enabled_locales?: Language[];
    flags: {
        [key: string]: boolean;
    };
};
export default class TenantHandler extends DefaultHandler {
    existing: Tenant;
    constructor(options: DefaultHandler);
    getType(): Promise<Asset>;
    validate(assets: Assets): Promise<void>;
    processChanges(assets: Assets): Promise<void>;
}
export declare const allowedTenantFlags: string[];
export declare const removeUnallowedTenantFlags: (proposedFlags: Tenant['flags']) => Tenant['flags'];
